Package com.verisign.epp.codec.registry

## Class EPPRegistryHost

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryHost

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryHost
      extends java.lang.Object
      implements EPPCodecComponent

  Represents the host object policy information per RFC 5732. The <registry:host> element contains the following child elements:
  - <registry:internal> - Defines the minimum and maximum number of IP addresses supported for an internal host. Use `getInternal()` and `setInternal(EPPRegistryInternalHost)` to get and set the element.
  - <registry:external> - Defines the policies for external hosts. Use `getExternal()` and `setExternal(EPPRegistryExternalHost)` to get and set the element.
  - <registry:nameRegex> - Zero or more <registry:nameRegex> elements that define the regular expressions used to validate the host name value. Use `getNameRegex()` and `setNameRegex(List)` to get and set the element. Use `addNameRegex(EPPRegistryRegex)` to add one name regex to an existing list.
  - <registry:maxCheckHost> - The maximum number of host names (<domain:name> elements) that can be included in a host check command defined in RFC 5732. Use `getMaxCheckHost()` and `setMaxCheckHost(Integer)` to get and set the element.
  - <registry:supportedStatus> - The OPTIONAL set of supported host statuses defined in RFC 5732. Use `getSupportedStatus()` and `setSupportedStatus(EPPRegistrySupportedStatus)` to get and set the element.
  - <registry:customData> - The OPTIONAL set of custom data using key, value pairs.
  See Also:
    `EPPRegistryInternalHost`, `EPPRegistryExternalHost`, `EPPRegistryRegex`, `EPPRegistrySupportedStatus`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_AUTH_INFO_REGEX` | XML Element Name of `authInfoRegex` attribute.
    `static java.lang.String` | `ELM_CUSTOM_DATA` | XML Element Name of `customData` attribute.
    `static java.lang.String` | `ELM_MAX_CHECK` | XML Element Name of `maxCheckHost` attribute.
    `static java.lang.String` | `ELM_NAME` | XML Element Name of `EPPRegistryHost` root element.
    `static java.lang.String` | `ELM_REGEX` | XML Element Name of `nameRegex` attribute.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryHost()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNameRegex​(EPPRegistryRegex regex)` | Adds one host name regular expression to the existing `List`.
    `java.lang.Object` | `clone()` | Clone `EPPRegistryHost`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPRegistryHost` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPRegistryHost` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPRegistryHost` compare.
    `EPPRegistryCustomData` | `getCustomData()` | Gets set of custom data using key, value pairs.
    `EPPRegistryExternalHost` | `getExternal()` | Gets the external host attributes.
    `EPPRegistryInternalHost` | `getInternal()` | Gets the internal host attributes.
    `java.lang.Integer` | `getMaxCheckHost()` | Gets maximum number of host names that can be included in a host check command.
    `java.util.List` | `getNameRegex()` | Gets host name regular expressions.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPRegistrySupportedStatus` | `getSupportedStatus()` | Gets a set of supported host statuses defined in RFC 5732.
    `void` | `setCustomData​(EPPRegistryCustomData customData)` | Sets set of custom data using key, value pairs.
    `void` | `setExternal​(EPPRegistryExternalHost external)` | Sets the external host attributes.
    `void` | `setInternal​(EPPRegistryInternalHost internal)` | Sets the internal host attributes.
    `void` | `setMaxCheckHost​(java.lang.Integer maxCheckHost)` | Sets maximum number of host names that can be included in a host check command.
    `void` | `setNameRegex​(java.util.List nameRegex)` | Sets host name regular expressions.
    `void` | `setSupportedStatus​(EPPRegistrySupportedStatus supportedStatus)` | Sets a set of supported host statuses defined in RFC 5732.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPRegistryHost` root element.
      See Also:
        Constant Field Values

    - #### ELM_REGEX

          public static final java.lang.String ELM_REGEX

      XML Element Name of `nameRegex` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MAX_CHECK

          public static final java.lang.String ELM_MAX_CHECK

      XML Element Name of `maxCheckHost` attribute.
      See Also:
        Constant Field Values

    - #### ELM_CUSTOM_DATA

          public static final java.lang.String ELM_CUSTOM_DATA

      XML Element Name of `customData` attribute.
      See Also:
        Constant Field Values

    - #### ELM_AUTH_INFO_REGEX

          public static final java.lang.String ELM_AUTH_INFO_REGEX

      XML Element Name of `authInfoRegex` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryHost

          public EPPRegistryHost()

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryHost` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryHost` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryHost` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryHost` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryHost` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryHost`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryHost`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPRegistryHost` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryHost` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getInternal

          public EPPRegistryInternalHost getInternal()

      Gets the internal host attributes.
      Returns:
        the internal host attributes

    - #### setInternal

          public void setInternal​(EPPRegistryInternalHost internal)

      Sets the internal host attributes.
      Parameters:
        `internal` - the internal host attributes

    - #### getExternal

          public EPPRegistryExternalHost getExternal()

      Gets the external host attributes.
      Returns:
        the external host attributes

    - #### setExternal

          public void setExternal​(EPPRegistryExternalHost external)

      Sets the external host attributes.
      Parameters:
        `external` - the external host attributes

    - #### getNameRegex

          public java.util.List getNameRegex()

      Gets host name regular expressions.
      Returns:
        `List` of name regular expressions

    - #### setNameRegex

          public void setNameRegex​(java.util.List nameRegex)

      Sets host name regular expressions.
      Parameters:
        `nameRegex` - `List` of name regular expressions

    - #### addNameRegex

          public void addNameRegex​(EPPRegistryRegex regex)

      Adds one host name regular expression to the existing `List`.
      Parameters:
        `regex` - one name regular expressions

    - #### getMaxCheckHost

          public java.lang.Integer getMaxCheckHost()

      Gets maximum number of host names that can be included in a host check command.
      Returns:
        maximum number of host names that can be included in a host check command

    - #### setMaxCheckHost

          public void setMaxCheckHost​(java.lang.Integer maxCheckHost)

      Sets maximum number of host names that can be included in a host check command.
      Parameters:
        `maxCheckHost` - maximum number of host names that can be included in a host check command

    - #### getCustomData

          public EPPRegistryCustomData getCustomData()

      Gets set of custom data using key, value pairs.
      Returns:
        instance of `EPPRegistryCustomData` that gives users the ability to specify custom data with key/value pairs

    - #### setCustomData

          public void setCustomData​(EPPRegistryCustomData customData)

      Sets set of custom data using key, value pairs.
      Parameters:
        `customData` - instance of `EPPRegistryCustomData` that gives users the ability to specify custom data with key/value pairs

    - #### getSupportedStatus

          public EPPRegistrySupportedStatus getSupportedStatus()

      Gets a set of supported host statuses defined in RFC 5732.
      Returns:
        set of supported host statuses defined in RFC 5732

    - #### setSupportedStatus

          public void setSupportedStatus​(EPPRegistrySupportedStatus supportedStatus)

      Sets a set of supported host statuses defined in RFC 5732.
      Parameters:
        `supportedStatus` - set of supported host statuses defined in RFC 5732

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.